List Submissions
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"status": "draft",
"template_name": "<string>",
"document_filename": "<string>",
"submitters_order": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"labels": [
{}
],
"contract_template": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"fields": [
{}
],
"schema": {},
"submitters": [
{}
],
"preferences": {},
"labels": [
"<string>"
],
"documents": [
{
"id": 123,
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"signed_uuid": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"contract_submitters": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"status": "pending",
"signing_order": 123,
"role": "<string>",
"slug": "<string>",
"contact": {
"id": 123,
"name": "<string>",
"email": "<string>",
"avatar_url": "<string>"
}
}
]
}
]Contract Submissions
List Submissions
List all active contract submissions in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
contract_submissions
List Submissions
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"status": "draft",
"template_name": "<string>",
"document_filename": "<string>",
"submitters_order": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"labels": [
{}
],
"contract_template": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"fields": [
{}
],
"schema": {},
"submitters": [
{}
],
"preferences": {},
"labels": [
"<string>"
],
"documents": [
{
"id": 123,
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"signed_uuid": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"contract_submitters": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"status": "pending",
"signing_order": 123,
"role": "<string>",
"slug": "<string>",
"contact": {
"id": 123,
"name": "<string>",
"email": "<string>",
"avatar_url": "<string>"
}
}
]
}
]Authorizations
Path Parameters
The numeric ID of the account
Query Parameters
Response
200 - application/json
Success
Available options:
draft, pending, sent, opened, in_progress, viewed, completed, declined, expired, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes